Yapper Docs
Api reference
PATCH
/credit-alerts/{ruleId}

Changes the fields sent; the rest stay.

Authorization

bearerAuth limits:write
AuthorizationBearer <token>

In: header

Scope: limits:write

Path Parameters

ruleId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/credit-alerts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "watch": "balance",    "subjects": [      "string"    ],    "level": 1,    "recipients": "admins",    "notifySubject": true,    "createdBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "links": {      "self": "string"    }  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}